# eric4.KdeQt.KQFileDialog

Compatibility module to use the KDE File Dialog instead of the Qt File Dialog.

### Classes

None

### Functions

__qtIconProvider | Function to return the previously stored icon provider.
__qtSetIconProvider | Function to set the icon provider.
getExistingDirectory | Module function to get the name of a directory.
getOpenFileName | Module function to get the name of a file for opening it.
getOpenFileNames | Module function to get a list of names of files for opening.
getSaveFileName | Module function to get the name of a file for saving it.
iconProvider | Function to return the previously stored icon provider.
setIconProvider | Function to set the icon provider.

## __qtIconProvider

__qtIconProvider()

Function to return the previously stored icon provider.

Returns:
  QFileIconProvider

Up

## __qtSetIconProvider

__qtSetIconProvider(provider)

Function to set the icon provider.

provider
  QFileIconProvider

Up

## getExistingDirectory

getExistingDirectory(parent = None, caption = QString(), dir_ = QString(), options = QFileDialog.Options(QFileDialog.ShowDirsOnly))

Module function to get the name of a directory.

parent
  parent widget of the dialog (QWidget)
caption
  window title of the dialog (QString)
dir_
  working directory of the dialog (QString)
options
  various options for the dialog (QFileDialog.Options)

Returns:
  name of selected directory (QString)

Up

## getOpenFileName

getOpenFileName(parent = None, caption = QString(), dir_ = QString(), filter = QString(), selectedFilter = None, options = QFileDialog.Options())

Module function to get the name of a file for opening it.

parent
  parent widget of the dialog (QWidget)
caption
  window title of the dialog (QString)
dir_
  working directory of the dialog (QString)
filter
  filter string for the dialog (QString)
selectedFilter
  selected filter for the dialog (QString)
options
  various options for the dialog (QFileDialog.Options)

Returns:
  name of file to be opened (QString)

Up

## getOpenFileNames

getOpenFileNames(parent = None, caption = QString(), dir_ = QString(), filter = QString(), selectedFilter = None, options = QFileDialog.Options())

Module function to get a list of names of files for opening.

parent
  parent widget of the dialog (QWidget)
caption
  window title of the dialog (QString)
dir_
  working directory of the dialog (QString)
filter
  filter string for the dialog (QString)
selectedFilter
  selected filter for the dialog (QString)
options
  various options for the dialog (QFileDialog.Options)

Returns:
  list of filenames to be opened (QStringList)

Up

## getSaveFileName

getSaveFileName(parent = None, caption = QString(), dir_ = QString(), filter = QString(), selectedFilter = None, options = QFileDialog.Options())

Module function to get the name of a file for saving it.

parent
  parent widget of the dialog (QWidget)
caption
  window title of the dialog (QString)
dir_
  working directory of the dialog (QString)
filter
  filter string for the dialog (QString)
selectedFilter
  selected filter for the dialog (QString)
options
  various options for the dialog (QFileDialog.Options)

Returns:
  name of file to be saved (QString)

Up

## iconProvider

iconProvider()

Function to return the previously stored icon provider.

Returns:
  QFileIconProvider

Up

## setIconProvider

setIconProvider(provider)

Function to set the icon provider.

provider
  QFileIconProvider

Up